{% extends "base.html" %}
{% load markdownify %}
{% block content %}
    <main>
        <div>
            <h1>{{ project.name }}</h1>
            {{ project.description|markdownify }}
            <h2>Tasks</h2>
            <p>
                <a href="{% url 'create_task' %}">Create a new task</a>
            </p>
            {% if project.tasks.all|length > 0 %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for assig in project.tasks.all %}
                            <tr>
                                <td>{{ assig.name }}</td>
                                <td>{{ assig.assignee }}</td>
                                <td>{{ assig.start_date|date:"M d, Y" }}</td>
                                <td>{{ assig.due_date|date:"M d, Y" }}</td>
                                <td>{{ assig.is_completed|yesno:"yeah, NEIN" }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>This project has no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
